# Default values for midgard.
# This is a YAML-formatted file.
# Declare variables to be passed into your templates.

thorApi: thornode:1317
thorDaemon:
  mainnet: thornode:27147
  testnet: thornode:26657

postgres:
  port: 5432
  database: midgard
  username: midgard
  password: password

net: mainnet

replicaCount: 1

logLevel: info

image:
  repository: registry.gitlab.com/thorchain/midgard
  pullPolicy: Always
  # Overrides the image tag whose default is the chart appVersion.
  tag: ""

timescaleDbImage:
  repository: timescale/timescaledb
  pullPolicy: IfNotPresent
  tag: 2.2.0-pg13

service:
  type: ClusterIP
  port: 8080

imagePullSecrets: []
nameOverride: ""
fullnameOverride: ""

persistence:
  enabled: true
  size:
    testnet: 50Gi
    mainnet: 100Gi
  accessMode: ReadWriteOnce
  # storageClass: "-"

serviceAccount:
  # Specifies whether a service account should be created
  create: true
  # The name of the service account to use.
  # If not set and create is true, a name is generated using the fullname template
  name:

podSecurityContext: {}
  # fsGroup: 2000

securityContext: {}
  # capabilities:
  #   drop:
  #   - ALL
  # readOnlyRootFilesystem: true
  # runAsNonRoot: true
  # runAsUser: 1000

ingress:
  enabled: false
  annotations: {}
    # kubernetes.io/ingress.class: nginx
    # kubernetes.io/tls-acme: "true"
  hosts:
    - host: chart-example.local
      paths: []
  tls: []
  #  - secretName: chart-example-tls
  #    hosts:
  #      - chart-example.local

resources:
  midgard:
    requests:
      cpu: 0.5
      memory: 512Mi
    # limits:
      # cpu: 0.5
      # memory: 512Mi
  timescaledb:
    requests:
      cpu: 2
      memory: 3Gi
    # limits:
      # cpu: 2
      # memory: 3Gi

nodeSelector: {}

tolerations: []

affinity: {}
